Notification handlers

Get Notification Handler

Get a notification handler by id.

GET
/nudge/projects/{projectId}/notification-handlers/{notificationHandlerId}

Authorization

clientKeyHeader clientSecretHeader
x-client-key<token>

Client API key credential.

In: header

x-client-secret<token>

Client API secret credential.

In: header

Path Parameters

projectId*string
notificationHandlerId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.dokaai.com/api/v1/dokaai/nudge/projects/string/notification-handlers/string"
{
  "status": "success",
  "message": "string",
  "data": {
    "id": "string",
    "notificationHandlerId": "string",
    "basicDetails": {
      "name": "string",
      "description": "string",
      "isRealTime": true,
      "isComplete": true,
      "handlerStatus": "draft",
      "projectId": "string",
      "organizationId": "string",
      "customerPool": {
        "id": "string",
        "name": "string",
        "description": "string"
      },
      "notificationType": {
        "id": "string",
        "name": "string"
      },
      "notificationSubtype": {
        "id": "string",
        "name": "string"
      }
    },
    "notificationType": {
      "id": "string",
      "name": "string"
    },
    "notificationSubtype": {
      "id": "string",
      "name": "string"
    },
    "priority": 0,
    "channelAndTemplateDetails": {
      "in_app": {},
      "email": {},
      "sms": {},
      "chat": {},
      "push": {},
      "whatsApp": {}
    },
    "publishedTemplateAttributes": {
      "template": {
        "sms": [
          "string"
        ],
        "in_app": [
          "string"
        ],
        "email": [
          "string"
        ],
        "chat": [
          "string"
        ],
        "push": [
          "string"
        ],
        "whatsApp": [
          "string"
        ]
      },
      "personalized": {
        "sms": [
          "string"
        ],
        "in_app": [
          "string"
        ],
        "email": [
          "string"
        ],
        "chat": [
          "string"
        ],
        "push": [
          "string"
        ],
        "whatsApp": [
          "string"
        ]
      }
    },
    "customerPreference": {
      "customerPreferenceGroup": {
        "id": "string",
        "name": "string",
        "description": "string",
        "channels": [
          "in_app"
        ]
      },
      "customerPreferenceTopic": {
        "id": "string",
        "name": "string",
        "description": "string",
        "channels": [
          "in_app"
        ]
      }
    },
    "notificationHandlerRecipient": {
      "recipientSourceType": "payload_based",
      "recipientSource": {
        "id": "string",
        "name": "string",
        "description": "string"
      }
    },
    "notificationHandlerScheduleId": "string",
    "isPublished": true
  },
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}